package modern;

import static org.assertj.core.api.Assertions.*;

import java.time.LocalDate;
import java.time.format.DateTimeParseException;

import org.junit.Test;

public class ParameterTest {

    @Test
    public void 日付のパース() throws Exception {
        assertThat(Parameter.parse("20160207")).isEqualTo(LocalDate.of(2016, 2, 7));
    }

    @Test
    public void 日付パースエラー() throws Exception {
        assertThatThrownBy(() -> Parameter.parse("x")).isInstanceOf(IllegalArgumentException.class)
                .hasCauseInstanceOf(DateTimeParseException.class);
    }
}
